Business Ads Custom Pivots Preview
Updated: Apr 23, 2020
Copy for LLM
Ads in WhatsApp Status are available via the Marketing API. Learn more about ads in WhatsApp Status.
Reading
Provides ad object data of each custom pivot grouping
Example
GET /v25.0/{business-id}/ads_custom_pivots_preview HTTP/1.1
Host: graph.facebook.com
Try it in Graph API Explorer
If you want to learn how to use the Graph API, read our Using Graph API guide
Parameters
| Parameter | Description |
|---|---|
ad_account_idsarray<int64> |
List of ad accounts
|
date_presetenum {today, yesterday, this_month, last_month, this_quarter, maximum, data_maximum, last_3d, last_7d, last_14d, last_28d, last_30d, last_90d, last_week_mon_sun, last_week_sun_sat, last_quarter, last_year, this_week_mon_today, this_week_sun_today, this_year} |
The date preset
|
dimensionsarray<string> |
dimensions
|
group_namestring |
group_name
|
sortingarray<JSON object> |
sorting
field string
field
required direction enum {asc, desc}Default value: "desc"
direction
Show child parameters |
time_range{‘since’:YYYY-MM-DD,’until’:YYYY-MM-DD} |
The time range
since datetime
A date in the format of "YYYY-MM-DD", which means from the beginning midnight of that day.
until datetime
A date in the format of "YYYY-MM-DD", which means to the beginning midnight of the following day.
Show child parameters |
Fields
Reading from this edge will return a JSON formatted result:
{
"data": [],
"paging": {},
"summary": {}
}
data
A list of AdsCustomPivotsPreview nodes.
paging
For more details about pagination, see the Graph API guide.
summary
Aggregated information about the edge, such as counts. Specify the fields to fetch in the summary param (like summary=__type__).
| Field | Description |
|---|---|
countslist<AdsCustomPivotsPreviewCount> |
counts
default |
Error Codes
| Error Code | Description |
|---|---|
100 | Invalid parameter |
Creating
You can't perform this operation on this endpoint.
Updating
You can't perform this operation on this endpoint.
Deleting
You can't perform this operation on this endpoint.